Skip to main content
GET
/
private-records
/
{record_id}
/
metrics
Get private record metrics
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/metrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric_section_type": "brief_cash_flows_profile",
      "metric_type": "approximate_repayment_period",
      "period": "2023-12-25",
      "period_type": "quarterly",
      "value_type": "real",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "value": 10.5,
      "points": 5
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Query Parameters

period_type
enum<string> | null

Filter metrics by period type

Available options:
quarterly,
yearly
date_from
string<date> | null

Filter metrics from this date (inclusive)

Example:

"2025-01-01"

date_to
string<date> | null

Filter metrics up to this date (inclusive)

Example:

"2025-12-31"

metric_type
enum<string> | null

Filter metrics by type

Available options:
approximate_repayment_period,
average_balance,
average_inventory_holding_days,
average_trade_payable_days,
average_trade_receivables_days,
cap_exp,
cash_flow_efficiency_1,
cash_flow_efficiency_2,
cash_flows_from_financing_activities,
cash_flows_from_investing_activities,
cash_flows_from_operating_activities,
cop,
cpltd_fcf_coverage,
current_ratio,
dscr,
ebit_margin,
ebitda_margin,
ending_balance,
financial_leverage,
fixed_assets_productivity_ratio,
fixed_assets_turnover_ratio,
free_cash_flow,
gross_profit_margin,
higher_financial_leverage_and_higher_operating_leverage,
inventory_turnover_ratio,
iscr,
margin_money_contribution_to_ace,
margin_money_contribution_to_nwc,
margin_money_contribution_to_tangible_fixed_assets,
margin_money_contribution_to_total_assets,
margin_money_in_nwc,
net_profit_margin,
net_working_capital_cycle,
operating_leverage,
quick_ratio,
roace,
short_term_debt_cpltd_to_free_cash_flow,
total_balance_sheet_leverage
metric_section_type
enum<string> | null

Optional filter by specific metric section type

Available options:
brief_cash_flows_profile,
cash_strength,
debt_repayment_capacity_cushion,
fixed_assets_efficiency,
profitability,
production_offtake_indicator,
riskiness_of_net_operating_cash_flows,
short_term_liquidity_and_working_capital,
solvency,
sustenance_of_the_business_growth_thriving,
working_capital_operating_efficiency
order_by
enum<string>
default:period

Field by which to order the results (e.g., period, metric_type)

Available options:
period,
period_type,
metric_type,
metric_section_type
order_dir
enum<string>
default:desc

Direction to order the results (asc for ascending, desc for descending)

Available options:
asc,
desc

Response

Successful Response

items
PrivateRecordMetric · object[]
required

List of private record metrics

total_items
integer
required

Total number of private record metrics

Required range: x >= 0
Examples:

1

25

50